Proteins Complexes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/complexesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/complexes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/complexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"protein": "<string>",
"complex": "<string>",
"stoichiometry": 123,
"chain_id": "<string>",
"isoform_id": "<string>",
"number_of_paralogs": 123,
"linked_features": [
{
"participantId": "<string>",
"ranges": [
"<string>"
]
}
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Proteins Complexes
Retrieve complexes by querying from protein participants. Each record includes protein and complex.
Set verbose = true to retrieve full info on the complexes.
Protein IDs support the following formats: ENSP00000411322.1 or ENSP00000411322 (Ensembl IDs) or P67870 (Uniprot ids)
Example: protein_id = ENSP00000411322.1,
protein_name = CSNK2B,
uniprot_name = CSK2B_HUMAN,
uniprot_full_name = Casein kinase II subunit beta,
dbxrefs = P67870.
Pagination is 0-based.
Proteins Complexes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/complexesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/complexes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/complexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"protein": "<string>",
"complex": "<string>",
"stoichiometry": 123,
"chain_id": "<string>",
"isoform_id": "<string>",
"number_of_paralogs": 123,
"linked_features": [
{
"participantId": "<string>",
"ranges": [
"<string>"
]
}
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Homo sapiens Available options:
true, false